/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VInputPersonright;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputPersonrightRecord extends TableRecordImpl<VInputPersonrightRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_personright.usnr</code>.
     */
    public void setUsnr(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.usnr</code>.
     */
    public Integer getUsnr() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.hier_lang</code>.
     */
    public void setHierLang(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.hier_lang</code>.
     */
    public String getHierLang() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.short_name</code>.
     */
    public void setShortName(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.short_name</code>.
     */
    public String getShortName() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.right_mode</code>.
     */
    public void setRightMode(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.right_mode</code>.
     */
    public Integer getRightMode() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.fk_key_element</code>.
     */
    public void setFkKeyElement(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.fk_key_element</code>.
     */
    public Integer getFkKeyElement() {
        return (Integer) get(5);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.form_order</code>.
     */
    public void setFormOrder(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.form_order</code>.
     */
    public Integer getFormOrder() {
        return (Integer) get(6);
    }

    /**
     * Setter for
     * <code>common_dd.v_input_personright.ignore_closed_visits</code>.
     */
    public void setIgnoreClosedVisits(Integer value) {
        set(7, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_input_personright.ignore_closed_visits</code>.
     */
    public Integer getIgnoreClosedVisits() {
        return (Integer) get(7);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.min_obs</code>.
     */
    public void setMinObs(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.min_obs</code>.
     */
    public Integer getMinObs() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.max_obs</code>.
     */
    public void setMaxObs(Integer value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.max_obs</code>.
     */
    public Integer getMaxObs() {
        return (Integer) get(9);
    }

    /**
     * Setter for <code>common_dd.v_input_personright.user_owns</code>.
     */
    public void setUserOwns(Integer value) {
        set(10, value);
    }

    /**
     * Getter for <code>common_dd.v_input_personright.user_owns</code>.
     */
    public Integer getUserOwns() {
        return (Integer) get(10);
    }

    /**
     * Setter for
     * <code>common_dd.v_input_personright.element_hierachy_stage</code>.
     */
    public void setElementHierachyStage(Integer value) {
        set(11, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_input_personright.element_hierachy_stage</code>.
     */
    public Integer getElementHierachyStage() {
        return (Integer) get(11);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputPersonrightRecord
     */
    public VInputPersonrightRecord() {
        super(VInputPersonright.V_INPUT_PERSONRIGHT);
    }

    /**
     * Create a detached, initialised VInputPersonrightRecord
     */
    public VInputPersonrightRecord(Integer usnr, String dn, String hierLang, String shortName, Integer rightMode, Integer fkKeyElement, Integer formOrder, Integer ignoreClosedVisits, Integer minObs, Integer maxObs, Integer userOwns, Integer elementHierachyStage) {
        super(VInputPersonright.V_INPUT_PERSONRIGHT);

        setUsnr(usnr);
        setDn(dn);
        setHierLang(hierLang);
        setShortName(shortName);
        setRightMode(rightMode);
        setFkKeyElement(fkKeyElement);
        setFormOrder(formOrder);
        setIgnoreClosedVisits(ignoreClosedVisits);
        setMinObs(minObs);
        setMaxObs(maxObs);
        setUserOwns(userOwns);
        setElementHierachyStage(elementHierachyStage);
        resetChangedOnNotNull();
    }
}
